---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3e541f52-5aa3-541a-a508-e57b8266f863
      tier: AATSR_CMP_MONTH
      value: 0.058028046041727066
    brdf:
      alpha_1:
        band_1: 0.20152093977966673
        band_11: 0.24426673708171417
        band_12: 0.12756890656696768
        band_2: 0.20151910810634566
        band_3: 0.4175054864300043
        band_4: 0.193186007306733
        band_5: 0.19318015483486667
        band_6: 0.19317355373185124
        band_7: 0.6237175292452513
        band_8: 0.6235685938578243
        band_8a: 0.6238077365760897
      alpha_2:
        band_1: 0.22943124635884957
        band_11: 0.1921247603476461
        band_12: 0.2241284469169832
        band_2: 0.22936908761529198
        band_3: 0.20577679950322117
        band_4: 0.23439510828128435
        band_5: 0.23439719548657803
        band_6: 0.234400391551274
        band_7: 0.11711054825753608
        band_8: 0.1171377124208631
        band_8a: 0.11709392321708746
      id:
      - 1f6d3832-522a-55b1-8a55-4a3178f30a81
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.296
    water_vapour:
      id:
      - 29f010df-b825-5687-bcac-025ebe2f0bab
      tier: DEFINITIVE
      value: 2.2100000381469727
  id: b3f4a1ca-ee70-461a-8975-73ffc96f9445
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1988.764224802085
      BAND-11: 244.55947689890127
      BAND-12: 85.56294884275256
      BAND-2: 2041.8000623972614
      BAND-3: 1913.3697462015182
      BAND-4: 1561.8562021494558
      BAND-5: 1442.0442412547768
      BAND-6: 1318.435125776497
      BAND-7: 1211.9181878155823
      BAND-8: 1065.5565068677156
      BAND-8A: 971.3908068958697
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-11-19 00:34:33.212691Z
    atime: 2022-11-30 10:46:04Z
    ctime: 2022-11-20 18:23:31Z
    mtime: 2022-11-20 18:23:18Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-11/25S145E-30S150E/S2B_MSIL1C_20221119T002709_N0400_R016_T55JCK_20221119T012723.zip
  system_information:
    hostname: gadi-cpu-clx-1332.gadi.nci.org.au
    runtime_id: 304cb6da-709c-11ed-b861-0000007dfe80
    time_processed: 2022-11-30 10:46:04.574502Z
    uname: 'Linux gadi-cpu-clx-1332.gadi.nci.org.au 4.18.0-372.26.1.el8.nci.x86_64
      #1 SMP Mon Sep 19 12:09:59 AEST 2022 x86_64'
gqa:
  colors:
    blue: 12.0
    green: 2267.0
    red: 4.0
    teal: 103.0
    yellow: 5.0
  error_message: no errors
  final_qa_count: 2387
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20221119T012723_A029786_T55JCK_N04.00
  ref_date: '2014-05-29T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/093/079/LC80930792014149LGN00_B6.TIF
  residual:
    abs:
      x: 0.28
      xy: 0.37
      y: 0.23
    abs_iterative_mean:
      x: 0.21
      xy: 0.25
      y: 0.13
    cep90: 0.42
    iterative_mean:
      x: 0.19
      xy: 0.19
      y: -0.05
    iterative_stddev:
      x: 0.18
      xy: 0.3
      y: 0.24
    mean:
      x: 0.12
      xy: 0.19
      y: -0.14
    stddev:
      x: 3.28
      xy: 5.73
      y: 4.69
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 67.4539407658598
    cloud: 28.640250324745004
    cloud_shadow: 3.8572248079394216
    snow: 0.042031784182483586
    water: 0.006552317273295087
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 98.23948473352073
    cloud: 1.7605152664792771
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
